<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: instruments.proto

namespace Tinkoff\Invest\V1;

use UnexpectedValueException;

/**
 *Тип идентификатора инструмента. Подробнее об идентификации инструментов: [Идентификация инструментов](/investAPI/faq_identification/)
 *
 * Protobuf type <code>tinkoff.public.invest.api.contract.v1.InstrumentIdType</code>
 */
class InstrumentIdType
{
    /**
     *Значение не определено.
     *
     * Generated from protobuf enum <code>INSTRUMENT_ID_UNSPECIFIED = 0;</code>
     */
    const INSTRUMENT_ID_UNSPECIFIED = 0;
    /**
     *Figi.
     *
     * Generated from protobuf enum <code>INSTRUMENT_ID_TYPE_FIGI = 1;</code>
     */
    const INSTRUMENT_ID_TYPE_FIGI = 1;
    /**
     *Ticker.
     *
     * Generated from protobuf enum <code>INSTRUMENT_ID_TYPE_TICKER = 2;</code>
     */
    const INSTRUMENT_ID_TYPE_TICKER = 2;

    private static $valueToName = [
        self::INSTRUMENT_ID_UNSPECIFIED => 'INSTRUMENT_ID_UNSPECIFIED',
        self::INSTRUMENT_ID_TYPE_FIGI => 'INSTRUMENT_ID_TYPE_FIGI',
        self::INSTRUMENT_ID_TYPE_TICKER => 'INSTRUMENT_ID_TYPE_TICKER',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

